# dcmstack Package

## `dcmstack` Package

## `dcmstack` Module

## `dcmmeta` Module

Define extension for Nifti files that summarizes meta data from source DICOMs

exception dcmstack.dcmmeta.InvalidExtensionError(msg)

  Bases: `Exception`

dcmstack.dcmmeta.is_constant(sequence, period=None)

  Returns true if all elements in (each period of) the sequence are equal.

  Parameters:
    sequence sequence

      The sequence of elements to check.

    period int

      If not None then each subsequence of that length is checked.

dcmstack.dcmmeta.is_repeating(sequence, period)

  Returns true if the elements in the sequence repeat with the given period.

  Parameters:
    sequence sequence

      The sequence of elements to check.

    period int

      The period over which the elements should repeat.

## `extract` Module